AplasAplas API Reference

Get an asset type

GET
/workspaces/{workspaceId}/asset-types/{typeId}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

workspaceId*string

The workspace's slug.

typeId*string

The asset type's slug.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.au.aplas.com/api/v3/workspaces/string/asset-types/string"
{
  "id": "application",
  "nameSingular": "string",
  "namePlural": "string",
  "description": "string",
  "icon": "string",
  "color": "string",
  "isBuiltIn": true,
  "fieldSpecs": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "type": "string",
      "options": [
        {
          "value": "string",
          "label": "string"
        }
      ],
      "subType": "string",
      "min": 0,
      "max": 0
    }
  ],
  "viewRules": {},
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}